#ifndef _HDLOAD_SWITCH
#define _HDLOAD_SWITCH 1

/*
 * このファイルを編集することでコンパイルの仕方を変更できます
 */

/*
 * CPUのアーキテクチャ
 * 1 : i386
 */
#define JITC_ARCNUM 0x0001

/*
 * 実行環境となるOSの種類
 * 1 : Win32
 * 2 : Mac OS
 * 3 : blike for Linux
 */
#define DRV_OSNUM 0x0001

/*
 * フロントエンドコード->バックエンドコード を実行するsyslib(decorder)ファイルを指定する。
 * OSECPUの動作にはsyslib.oseが必要。
 */
#define SYSLIB_OSE	"syslib.ose"

/*
 * OSECPUバイナリのシグネチャ (05 e1)の2バイト目。
 * rev.2 ではこれが e2 になる。(バイナリレベルの互換性はない)
 */
#define SIGN1		0xe1



#define USE_DEBUGGER	1
#define USE_TEK5		0	//元々は1

#define	APPSIZ1		1 * 1024 * 1024 /* とりあえず1MBで */
#define	JITSIZ1		1 * 1024 * 1024 /* とりあえず1MBで */
#define	SJITSIZ1	1 * 1024 * 1024 /* とりあえず1MBで */
#define	SYSLIBSIZ1	1 * 1024 * 1024 /* とりあえず1MBで */
#define SYSTMP0SIZ	1 * 1024 * 1024 /* とりあえず1MBで */
#define SYSTMP1SIZ	2 * 1024 * 1024 /* とりあえず2MBで */

#define KEYBUFSIZ		4096

#endif

